%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name tripleo-heat-templates
%define old_version_name pike

Name:          openstack-%{upstream_name}-compat
Summary:       Heat templates for TripleO old version support
Version:        7.0.9
Release:        8.1%{?dist}
License:       ASL 2.0
Group:         System Environment/Base
URL:           https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.0.9
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-Remove-the-default-ControllerConfig.patch
Patch0003: 0003-downstream-only-Keep-existing-Compute-role-hostname-.patch
Patch0004: 0004-Downstream-only-Merge-puppet-and-config-resources.patch
Patch0005: 0005-Downstream-only-Disable-Neutron-containers-for-OSP12.patch
Patch0006: 0006-Downstream-only-Disable-Cinder-HA-containers-for-OSP.patch
Patch0007: 0007-Default-supported-services-to-docker.patch
Patch0008: 0008-Downstream-only-Disable-iscsid-and-multipathd-contai.patch
Patch0009: 0009-Downstream-only-Migrates-storage-environment.yaml-to.patch
Patch0010: 0010-Remove-hardcoded-docker-image-names.patch
Patch0011: 0011-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0012: 0012-Disable-containerised-plugins-we-don-t-ship.patch
Patch0013: 0013-Disabling-lbaas-and-fwaas-plugins-we-don-t-ship.patch
Patch0014: 0014-Override-default-fluentd-service-implementation.patch
Patch0015: 0015-Fix-copy-paste-typo.patch
Patch0016: 0016-downstream-only-environments-document-OSP-deployment.patch
Patch0017: 0017-downstream-only-Keep-existing-Compute-hostname.patch
Patch0018: 0018-Add-CephClient-and-CephExternal-to-the-Telemetry-rol.patch
Patch0019: 0019-Do-not-use-the-3rd-argument-of-yaql-groupBy.patch
Patch0020: 0020-Unify-the-Cinder-HA-and-non-HA-docker-configurations.patch
Patch0021: 0021-swift_rsync-don-t-bind-mount-run.patch
Patch0022: 0022-Fix-a-typo-in-docker_puppet_apply.sh.patch
Patch0023: 0023-Add-live-restore-to-the-docker_options-in-puppet-ser.patch
Patch0024: 0024-Improve-the-minor-update-of-the-docker-service.patch
Patch0025: 0025-Make-the-minor-update-for-docker-idempotent.patch
Patch0026: 0026-pike-Handle-update-path-for-swift-log-directories.patch
Patch0027: 0027-Add-access-to-var-run-openvswitch-from-collectd.patch

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-d2to1
BuildRequires: python2-pbr

Requires:      PyYAML
Requires:       python-jinja2
Requires:       python-six
Requires:       openstack-tripleo-common >= 7.1.0
Requires:      openstack-%{upstream_name}

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  These templates provide support for the clouds running the previous upstream version of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar *.yaml %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar puppet %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar common %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar docker %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar firstboot %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar extraconfig %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar environments %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar network %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar deployed-server %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar ci %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar plan-samples %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar roles %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar tools %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

ln -s compat %{buildroot}/%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/openstack-%{upstream_name}/compat
%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%changelog
* Tue May 22 2018 Jon Schlueter <jschluet@redhat.com> 7.0.9-8.1
- Fix prior release upstream name to pike

* Wed Mar 28 2018 Jon Schlueter <jschluet@redhat.com> 7.0.9-8
- Add access to /var/run/openvswitch from collectd (rhbz#1558639)
- [pike] Handle update path for swift log directories (rhbz#1542936)
- Make the minor update for docker idempotent (rhbz#1542936)
- Improve the minor update of the docker service (rhbz#1542936)
- Add --live-restore to the docker_options in puppet/services/docker.yaml (rhbz#1542936)
- Fix a typo in docker_puppet_apply.sh (rhbz#1552466)
- swift_rsync: don't bind mount /run (rhbz#1546807)
- Unify the Cinder HA and non-HA docker configurations (rhbz#1543641)
- Do not use the 3rd argument of yaql groupBy (rhbz#1547955)
- Update to 7.0.9
